function naznaceni(index,part,vysH,handles)     %index=hodnota radku v listboxu
                                        %part= cast zapasu
                                        %vysH= struktura vysledku
pocetvysledku=5+2;  %je to pocet radku jednoho vysledku +2 je jeden radek na cas a druhy na mezeru
time=vysH(part).time;
result=vysH(part).res;

indexy=find(result==ones(1,length(result))); %najdu indexy toho kde byl detekovan hvizd;

ind=1;
for i=1:floor((index-1)/pocetvysledku)+1
    ind=find(indexy>ones(1,length(indexy))*indexy(ind(1))+30);
end
rozdil=length(indexy)-length(ind);
do=indexy(rozdil);
if indexy(rozdil)<30
    do=31;
    od=1;
else
    od=do-30;
end
% plot(handles.axes1,time/60,result,'k',time(od:do)/60,result(od:do),'r');
bar(handles.axes1,time/60,result,'k');
hold on 
plot(handles.axes1,time(od:do)/60,result(od:do),'r');
hold off
    
    
    
    